SDL_GetAudioDriver(3)

NAME
SDL_GetAudioDriver - Use this function to get the name of a built in audio driver.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetAudioDriver(int index);

DESCRIPTION
The list of audio drivers is given in the order that they are normally initialized by default; the drivers that seem more reasonable to choose first (as far as the SDL developers believe) are earlier in the list.

The names of drivers are all simple, low-ASCII identifiers, like "alsa", "coreaudio" or "wasapi". These never have Unicode characters, and are not meant to be proper names.

FUNCTION PARAMETERS

index
    the index of the audio driver; the value ranges from 0 to SDL_GetNumAudioDrivers () - 1.

RETURN VALUE
Returns the name of the audio driver at the requested index, or NULL if an invalid index was specified.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetNumAudioDrivers(3)